Package org.eclipse.microprofile.config.tck

# Class ArrayConverterTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.ArrayConverterTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ArrayConverterTest extends org.jboss.arquillian.testng.Arquillian
Test the implicit converter handling.

Author:
  Emily Jiang

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ArrayConverterTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testbooleanArrayInjection()`
`void`
`testBooleanArrayInjection()`
`void`
`testBooleanArrayLookupProgrammatically()`
`void`
`testbooleanListInjection()`
`void`
`testBooleanListLookupProgrammatically()`
`void`
`testbooleanSetInjection()`
`void`
`testCustomTypeArrayInjection()`
`void`
`testCustomTypeArrayLookupProgrammatically()`
`void`
`testCustomTypeListInjection()`
`void`
`testCustomTypeListLookupProgrammatically()`
`void`
`testCustomTypeSetInjection()`
`void`
`testdoubleArrayInjection()`
`void`
`testDoubleArrayInjection()`
`void`
`testDoubleArrayLookupProgrammatically()`
`void`
`testDoubleListInjection()`
`void`
`testDoubleListLookupProgrammatically()`
`void`
`testDoubleSetInjection()`
`void`
`testDurationArrayInjection()`
`void`
`testDurationArrayLookupProgrammatically()`
`void`
`testDurationListInjection()`
`void`
`testDurationListLookupProgrammatically()`
`void`
`testDurationSetInjection()`
`void`
`testfloatArrayInjection()`
`void`
`testFloatArrayInjection()`
`void`
`testFloatArrayLookupProgrammatically()`
`void`
`testFloatListInjection()`
`void`
`testFloatListLookupProgrammatically()`
`void`
`testFloatSetInjection()`
`void`
`testGetbooleanArrayConverter()`
`void`
`testGetBooleanArrayConverter()`
`void`
`testGetCustomTypeArrayConverter()`
`void`
`testGetdoubleArrayConverter()`
`void`
`testGetDoubleArrayConverter()`
`void`
`testGetDurationArrayConverter()`
`void`
`testGetfloatArrayConverter()`
`void`
`testGetFloatArrayConverter()`
`void`
`testGetInstantArrayConverter()`
`void`
`testGetIntArrayConverter()`
`void`
`testGetIntegerArrayConverter()`
`void`
`testGetLocalDateArrayConverter()`
`void`
`testGetLocalDateTimeArrayConverter()`
`void`
`testGetLocalTimeArrayConverter()`
`void`
`testGetlongArrayCoverter()`
`void`
`testGetLongArrayCoverter()`
`void`
`testGetOffsetDateTimeArrayConverter()`
`void`
`testGetOffsetTimeArrayConverter()`
`void`
`testGetStringArrayConverter()`
`void`
`testGetUriArrayConverter()`
`void`
`testGetUrlArrayConverter()`
`void`
`testInstantArrayInjection()`
`void`
`testInstantArrayLookupProgrammatically()`
`void`
`testInstantListInjection()`
`void`
`testInstantListLookupProgrammatically()`
`void`
`testInstantSetInjection()`
`void`
`testintArrayInjection()`
`void`
`testIntArrayInjection()`
`void`
`testIntegerArrayLookupProgrammatically()`
`void`
`testIntegerListLookupProgrammatically()`
`void`
`testIntListInjection()`
`void`
`testIntSetInjection()`
`void`
`testLocalDateArrayInjection()`
`void`
`testLocalDateArrayLookupProgrammatically()`
`void`
`testLocalDateListInjection()`
`void`
`testLocalDateListLookupProgrammatically()`
`void`
`testLocalDateSetInjection()`
`void`
`testLocalDateTimeArrayInjection()`
`void`
`testLocalDateTimeArrayLookupProgrammatically()`
`void`
`testLocalDateTimeListInjection()`
`void`
`testLocalDateTimeListLookupProgrammatically()`
`void`
`testLocalDateTimeSetInjection()`
`void`
`testLocalTimeArrayInjection()`
`void`
`testLocalTimeArrayLookupProgrammatically()`
`void`
`testLocalTimeListInjection()`
`void`
`testLocalTimeListLookupProgrammatically()`
`void`
`testLocalTimeSetInjection()`
`void`
`testlongArrayInjection()`
`void`
`testLongArrayInjection()`
`void`
`testLongArrayLookupProgrammatically()`
`void`
`testLongListInjection()`
`void`
`testLongListLookupProgrammatically()`
`void`
`testLongSetInjection()`
`void`
`testOffsetDateTimeArrayInjection()`
`void`
`testOffsetDateTimeArrayLookupProgrammatically()`
`void`
`testOffsetDateTimeListInjection()`
`void`
`testOffsetDateTimeListLookupProgrammatically()`
`void`
`testOffsetDateTimeSetInjection()`
`void`
`testOffsetTimeArrayInjection()`
`void`
`testOffsetTimeArrayLookupProgrammatically()`
`void`
`testOffsetTimeListInjection()`
`void`
`testOffsetTimeListLookupProgrammatically()`
`void`
`testOffsetTimeSetInjection()`
`void`
`testOptionalBooleanArrayLookupProgrammatically()`
`void`
`testOptionalBooleanListLookupProgrammatically()`
`void`
`testOptionalCustomTypeArrayLookupProgrammatically()`
`void`
`testOptionalCustomTypeListLookupProgrammatically()`
`void`
`testOptionalDoubleArrayLookupProgrammatically()`
`void`
`testOptionalDoubleListLookupProgrammatically()`
`void`
`testOptionalDurationArrayLookupProgrammatically()`
`void`
`testOptionalDurationListLookupProgrammatically()`
`void`
`testOptionalFloatArrayLookupProgrammatically()`
`void`
`testOptionalFloatListLookupProgrammatically()`
`void`
`testOptionalInstantArrayLookupProgrammatically()`
`void`
`testOptionalInstantListLookupProgrammatically()`
`void`
`testOptionalIntegerArrayLookupProgrammatically()`
`void`
`testOptionalIntegerListLookupProgrammatically()`
`void`
`testOptionalLocalDateArrayLookupProgrammatically()`
`void`
`testOptionalLocalDateListLookupProgrammatically()`
`void`
`testOptionalLocalDateTimeArrayLookupProgrammatically()`
`void`
`testOptionalLocalDateTimeListLookupProgrammatically()`
`void`
`testOptionalLocalTimeArrayLookupProgrammatically()`
`void`
`testOptionalLocalTimeListLookupProgrammatically()`
`void`
`testOptionalLongArrayLookupProgrammatically()`
`void`
`testOptionalLongListLookupProgrammatically()`
`void`
`testOptionalOffsetDateTimeArrayLookupProgrammatically()`
`void`
`testOptionalOffsetDateTimeListLookupProgrammatically()`
`void`
`testOptionalOffsetTimeArrayLookupProgrammatically()`
`void`
`testOptionalOffsetTimeListLookupProgrammatically()`
`void`
`testOptionalStringArrayLookupProgrammatically()`
`void`
`testOptionalStringListLookupProgrammatically()`
`void`
`testOptionalUriArrayLookupProgrammatically()`
`void`
`testOptionalUriListLookupProgrammatically()`
`void`
`testOptionalUrlArrayLookupProgrammatically()`
`void`
`testOptionalUrlListLookupProgrammatically()`
`void`
`testStringArrayInjection()`
`void`
`testStringArrayLookupProgrammatically()`
`void`
`testStringListInjection()`
`void`
`testStringListLookupProgrammatically()`
`void`
`testStringSetInjection()`
`void`
`testUriArrayInjection()`
`void`
`testUriArrayLookupProgrammatically()`
`void`
`testUriListInjection()`
`void`
`testUriListLookupProgrammatically()`
`void`
`testUriSetInjection()`
`void`
`testUrlArrayInjection()`
`void`
`testUrlArrayLookupProgrammatically()`
`void`
`testURLListInjection()`
`void`
`testUrlListLookupProgrammatically()`
`void`
`testURLSetInjection()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayConverterTest

public ArrayConverterTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### testBooleanArrayLookupProgrammatically

public void testBooleanArrayLookupProgrammatically()

### testGetBooleanArrayConverter

public void testGetBooleanArrayConverter()

### testOptionalBooleanArrayLookupProgrammatically

public void testOptionalBooleanArrayLookupProgrammatically()

### testBooleanListLookupProgrammatically

public void testBooleanListLookupProgrammatically()

### testOptionalBooleanListLookupProgrammatically

public void testOptionalBooleanListLookupProgrammatically()

### testBooleanArrayInjection

public void testBooleanArrayInjection()

### testGetbooleanArrayConverter

public void testGetbooleanArrayConverter()

### testbooleanArrayInjection

public void testbooleanArrayInjection()

### testbooleanListInjection

public void testbooleanListInjection()

### testbooleanSetInjection

public void testbooleanSetInjection()

### testStringArrayLookupProgrammatically

public void testStringArrayLookupProgrammatically()

### testGetStringArrayConverter

public void testGetStringArrayConverter()

### testOptionalStringArrayLookupProgrammatically

public void testOptionalStringArrayLookupProgrammatically()

### testStringListLookupProgrammatically

public void testStringListLookupProgrammatically()

### testOptionalStringListLookupProgrammatically

public void testOptionalStringListLookupProgrammatically()

### testStringArrayInjection

public void testStringArrayInjection()

### testStringListInjection

public void testStringListInjection()

### testStringSetInjection

public void testStringSetInjection()

### testIntegerArrayLookupProgrammatically

public void testIntegerArrayLookupProgrammatically()

### testGetIntegerArrayConverter

public void testGetIntegerArrayConverter()

### testOptionalIntegerArrayLookupProgrammatically

public void testOptionalIntegerArrayLookupProgrammatically()

### testIntegerListLookupProgrammatically

public void testIntegerListLookupProgrammatically()

### testOptionalIntegerListLookupProgrammatically

public void testOptionalIntegerListLookupProgrammatically()

### testIntArrayInjection

public void testIntArrayInjection()

### testGetIntArrayConverter

public void testGetIntArrayConverter()

### testintArrayInjection

public void testintArrayInjection()

### testIntListInjection

public void testIntListInjection()

### testIntSetInjection

public void testIntSetInjection()

### testLongArrayLookupProgrammatically

public void testLongArrayLookupProgrammatically()

### testGetLongArrayCoverter

public void testGetLongArrayCoverter()

### testOptionalLongArrayLookupProgrammatically

public void testOptionalLongArrayLookupProgrammatically()

### testLongListLookupProgrammatically

public void testLongListLookupProgrammatically()

### testOptionalLongListLookupProgrammatically

public void testOptionalLongListLookupProgrammatically()

### testLongArrayInjection

public void testLongArrayInjection()

### testGetlongArrayCoverter

public void testGetlongArrayCoverter()

### testlongArrayInjection

public void testlongArrayInjection()

### testLongListInjection

public void testLongListInjection()

### testLongSetInjection

public void testLongSetInjection()

### testFloatArrayLookupProgrammatically

public void testFloatArrayLookupProgrammatically()

### testGetFloatArrayConverter

public void testGetFloatArrayConverter()

### testOptionalFloatArrayLookupProgrammatically

public void testOptionalFloatArrayLookupProgrammatically()

### testFloatListLookupProgrammatically

public void testFloatListLookupProgrammatically()

### testOptionalFloatListLookupProgrammatically

public void testOptionalFloatListLookupProgrammatically()

### testFloatArrayInjection

public void testFloatArrayInjection()

### testGetfloatArrayConverter

public void testGetfloatArrayConverter()

### testfloatArrayInjection

public void testfloatArrayInjection()

### testFloatListInjection

public void testFloatListInjection()

### testFloatSetInjection

public void testFloatSetInjection()

### testDoubleArrayLookupProgrammatically

public void testDoubleArrayLookupProgrammatically()

### testGetDoubleArrayConverter

public void testGetDoubleArrayConverter()

### testOptionalDoubleArrayLookupProgrammatically

public void testOptionalDoubleArrayLookupProgrammatically()

### testDoubleListLookupProgrammatically

public void testDoubleListLookupProgrammatically()

### testOptionalDoubleListLookupProgrammatically

public void testOptionalDoubleListLookupProgrammatically()

### testDoubleArrayInjection

public void testDoubleArrayInjection()

### testGetdoubleArrayConverter

public void testGetdoubleArrayConverter()

### testdoubleArrayInjection

public void testdoubleArrayInjection()

### testDoubleListInjection

public void testDoubleListInjection()

### testDoubleSetInjection

public void testDoubleSetInjection()

### testDurationArrayLookupProgrammatically

public void testDurationArrayLookupProgrammatically()

### testGetDurationArrayConverter

public void testGetDurationArrayConverter()

### testOptionalDurationArrayLookupProgrammatically

public void testOptionalDurationArrayLookupProgrammatically()

### testDurationListLookupProgrammatically

public void testDurationListLookupProgrammatically()

### testOptionalDurationListLookupProgrammatically

public void testOptionalDurationListLookupProgrammatically()

### testDurationArrayInjection

public void testDurationArrayInjection()

### testDurationListInjection

public void testDurationListInjection()

### testDurationSetInjection

public void testDurationSetInjection()

### testLocalTimeArrayLookupProgrammatically

public void testLocalTimeArrayLookupProgrammatically()

### testGetLocalTimeArrayConverter

public void testGetLocalTimeArrayConverter()

### testOptionalLocalTimeArrayLookupProgrammatically

public void testOptionalLocalTimeArrayLookupProgrammatically()

### testLocalTimeListLookupProgrammatically

public void testLocalTimeListLookupProgrammatically()

### testOptionalLocalTimeListLookupProgrammatically

public void testOptionalLocalTimeListLookupProgrammatically()

### testLocalTimeArrayInjection

public void testLocalTimeArrayInjection()

### testLocalTimeListInjection

public void testLocalTimeListInjection()

### testLocalTimeSetInjection

public void testLocalTimeSetInjection()

### testLocalDateArrayLookupProgrammatically

public void testLocalDateArrayLookupProgrammatically()

### testGetLocalDateArrayConverter

public void testGetLocalDateArrayConverter()

### testOptionalLocalDateArrayLookupProgrammatically

public void testOptionalLocalDateArrayLookupProgrammatically()

### testLocalDateListLookupProgrammatically

public void testLocalDateListLookupProgrammatically()

### testOptionalLocalDateListLookupProgrammatically

public void testOptionalLocalDateListLookupProgrammatically()

### testLocalDateArrayInjection

public void testLocalDateArrayInjection()

### testLocalDateListInjection

public void testLocalDateListInjection()

### testLocalDateSetInjection

public void testLocalDateSetInjection()

### testLocalDateTimeArrayLookupProgrammatically

public void testLocalDateTimeArrayLookupProgrammatically()

### testGetLocalDateTimeArrayConverter

public void testGetLocalDateTimeArrayConverter()

### testOptionalLocalDateTimeArrayLookupProgrammatically

public void testOptionalLocalDateTimeArrayLookupProgrammatically()

### testLocalDateTimeListLookupProgrammatically

public void testLocalDateTimeListLookupProgrammatically()

### testOptionalLocalDateTimeListLookupProgrammatically

public void testOptionalLocalDateTimeListLookupProgrammatically()

### testLocalDateTimeArrayInjection

public void testLocalDateTimeArrayInjection()

### testLocalDateTimeListInjection

public void testLocalDateTimeListInjection()

### testLocalDateTimeSetInjection

public void testLocalDateTimeSetInjection()

### testOffsetDateTimeArrayLookupProgrammatically

public void testOffsetDateTimeArrayLookupProgrammatically()

### testGetOffsetDateTimeArrayConverter

public void testGetOffsetDateTimeArrayConverter()

### testOptionalOffsetDateTimeArrayLookupProgrammatically

public void testOptionalOffsetDateTimeArrayLookupProgrammatically()

### testOffsetDateTimeListLookupProgrammatically

public void testOffsetDateTimeListLookupProgrammatically()

### testOptionalOffsetDateTimeListLookupProgrammatically

public void testOptionalOffsetDateTimeListLookupProgrammatically()

### testOffsetDateTimeArrayInjection

public void testOffsetDateTimeArrayInjection()

### testOffsetDateTimeListInjection

public void testOffsetDateTimeListInjection()

### testOffsetDateTimeSetInjection

public void testOffsetDateTimeSetInjection()

### testOffsetTimeArrayLookupProgrammatically

public void testOffsetTimeArrayLookupProgrammatically()

### testGetOffsetTimeArrayConverter

public void testGetOffsetTimeArrayConverter()

### testOptionalOffsetTimeArrayLookupProgrammatically

public void testOptionalOffsetTimeArrayLookupProgrammatically()

### testOffsetTimeListLookupProgrammatically

public void testOffsetTimeListLookupProgrammatically()

### testOptionalOffsetTimeListLookupProgrammatically

public void testOptionalOffsetTimeListLookupProgrammatically()

### testOffsetTimeArrayInjection

public void testOffsetTimeArrayInjection()

### testOffsetTimeListInjection

public void testOffsetTimeListInjection()

### testOffsetTimeSetInjection

public void testOffsetTimeSetInjection()

### testInstantArrayLookupProgrammatically

public void testInstantArrayLookupProgrammatically()

### testGetInstantArrayConverter

public void testGetInstantArrayConverter()

### testOptionalInstantArrayLookupProgrammatically

public void testOptionalInstantArrayLookupProgrammatically()

### testInstantListLookupProgrammatically

public void testInstantListLookupProgrammatically()

### testOptionalInstantListLookupProgrammatically

public void testOptionalInstantListLookupProgrammatically()

### testInstantArrayInjection

public void testInstantArrayInjection()

### testInstantListInjection

public void testInstantListInjection()

### testInstantSetInjection

public void testInstantSetInjection()

### testUrlArrayLookupProgrammatically

public void testUrlArrayLookupProgrammatically() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testGetUrlArrayConverter

public void testGetUrlArrayConverter() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testOptionalUrlArrayLookupProgrammatically

public void testOptionalUrlArrayLookupProgrammatically() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testUrlListLookupProgrammatically

public void testUrlListLookupProgrammatically() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testOptionalUrlListLookupProgrammatically

public void testOptionalUrlListLookupProgrammatically() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testUrlArrayInjection

public void testUrlArrayInjection() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testURLListInjection

public void testURLListInjection() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testURLSetInjection

public void testURLSetInjection() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testUriArrayLookupProgrammatically

public void testUriArrayLookupProgrammatically()

### testGetUriArrayConverter

public void testGetUriArrayConverter()

### testOptionalUriArrayLookupProgrammatically

public void testOptionalUriArrayLookupProgrammatically()

### testUriListLookupProgrammatically

public void testUriListLookupProgrammatically()

### testOptionalUriListLookupProgrammatically

public void testOptionalUriListLookupProgrammatically()

### testUriArrayInjection

public void testUriArrayInjection()

### testUriListInjection

public void testUriListInjection()

### testUriSetInjection

public void testUriSetInjection()

### testCustomTypeArrayLookupProgrammatically

public void testCustomTypeArrayLookupProgrammatically()

### testGetCustomTypeArrayConverter

public void testGetCustomTypeArrayConverter()

### testOptionalCustomTypeArrayLookupProgrammatically

public void testOptionalCustomTypeArrayLookupProgrammatically()

### testCustomTypeListLookupProgrammatically

public void testCustomTypeListLookupProgrammatically()

### testOptionalCustomTypeListLookupProgrammatically

public void testOptionalCustomTypeListLookupProgrammatically()

### testCustomTypeArrayInjection

public void testCustomTypeArrayInjection()

### testCustomTypeListInjection

public void testCustomTypeListInjection()

### testCustomTypeSetInjection

public void testCustomTypeSetInjection()